Subject: Re: [Softwires] Discussion on the requirements of Host Based Translation

From: Hui Deng <[email-masked]>
Date: Wed, 2 Dec 2009 22:31:12 +0800

Hi, Sri,

Inline please,

2009/12/1 Sri Gundavelli <[email-masked]>:
> Hi Hui,
>
> Please see inline.
>
>
>
> On 11/29/09 10:40 PM, "Hui Deng" <[email-masked]> wrote:
>
>>>
>>> You are talking about the UE to UE for the overlapping IPv4 case. As I
>>> explained in my long email earlier, we support the case for UE to UE
>>> non-overlapping case. For the case of overlapping there are no legacy
>>> applications that operate in that mode and there are no requirements either.
>>> Our approach is to suggest IPv6 transport for such scenario. There are also
>>> other ways to solve the problem, such as implicit IPv6 tunnels as
>>> Alain/Dan's draft, or stateful mode on the gateway.
>> For non-overlapping IPv4 case, how IPv4 address assgined to the UE,
>> will it based on v6 only PDP or v4v6 PDP?
>> could you help to point out Alain/Dan's draft, thanks,
>>
>
> UE will be assigned a single Dual-stack PDN bearer, with PDP context of type
> v4v6. This will allow the network to carry both v4 and v6 UE packets.
>
> Now, the access network from SGSN to GGSN, or the core network from GGSN to
> CGN, can be IPv6-only. Only, the UE is dual-stack supported, with this we
> are logically restricting the use of IPv4 to UE and on the CGN, removing its
> traces any where else in the network. IPv4 essentially becomes a mere state
> on the CGN and on the UE with no IPv4 routing in the network, so it provides
> a simple migration path to IPv6-only network.
You will assign a single dual stack PDP bearer, and give the ability
that network could support
unlimited UE IPv4 address number, I don't see that this is really
migrate to IPv6 network,
what you described IPv6 is only IPv6 bear network which is totally a
closed network.

-Hui

>
> I will let Alain and Dan provide the pointers to their draft, its not my
> work.
>
>
>
>
>>>
>>> But, I thought you always agreed, you are talking about the non-overlapping
>>> case only ? Departure from that stand and PNAT can now do that ? Fine. How
>>> does that work for PNAT ?
>>>
>>> - How does the application server learn the IPv4 address of the UE ?
>>> - How does the peer IP resolution happen ?
>>> - If the address is delivered inside the application payload, how do you
>>> handle that ? Where is the mapping state maintained ?
>>> - What new ALG's is this requiring ?
>>> - Can you give the flow ?
>>>
>>> And, why is this a legacy requirement ?
>> There are misunderstanding about what we require, I will point out in
>> the seperate email.
>>
>
> Ok. I will look for these answers in the other email :)
>
>
> Regards
> Sri
>
>